<?php
$path = realpath(getcwd() . '/../../') . '/';
define('PHPWG_ROOT_PATH',$path);
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once( 'upload.inc.php' );
header("Content-type: text/plain");

// load user preferences
$pref = unserialize( file_get_contents( dirname(__FILE__).'/data.txt' ) );

function reportErr($messages) {
   if(!is_array($messages))
      $messages = array($messages);

   if (!sizeof($messages))
      return; // no errors to report

   foreach($messages as $message)
      if($message)
         echo ('Error: '.$message."\n");
   die('Unable to continue, fatal errors');
}

$max_file_size = 1024 * 1024 * $pref['max_size'];
$image_max_width = $pref['max_width'];
$image_max_height = $pref['max_height'];
$thumb_width = $pref['thumb_width'];
$thumb_height = $pref['thumb_height'];

if ( !isset( $_FILES['file'] ) )
   reportErr("You did not upload anything!" );
if ( !isset( $_GET['cat'] ) )
   reportErr("You did not select a category!" );

$result = validate_autorization($_GET['session'],$_GET['cat']);
reportErr($result['errors']);

$result = validate_upload($_FILES['file'],$max_file_size,$image_max_width,$image_max_height);
reportErr($result['errors']);

$result = do_upload($_GET['cat'],$_GET['session'],$_FILES['file']);
reportErr($result['errors']);
$uploaded_file = $result['uploaded_file'];
$web_file_path     = $result['web_file_path'];

$result = do_submitToDatabase($_GET['cat'], $_FILES['file'],$web_file_path);
reportErr($result['errors']);

$result = do_submitToWaiting($_GET['cat'], $_GET['session'], $_FILES['file']);
reportErr($result['errors']);
$waiting_id = $result['waiting_id'];

if ($pref['auto_thumb'])
{
   $result = do_thumbnail($waiting_id,$uploaded_file,$thumb_width,$thumb_height,'jpg');
   reportErr($result['errors']);
}

if (!$pref['moderate'])
   do_ApproveWaiting($waiting_id);

echo("OK!");
?>
